IF NOT EXISTS
(
    SELECT 1
    FROM sys.columns
    WHERE OBJECT_ID = OBJECT_ID('RC_CLI_FIDELI_PONTOS_CREDITO')
          AND NAME = 'FLAG_REPROCESSADO'
)
begin
ALTER TABLE dbo.RC_CLI_FIDELI_PONTOS_CREDITO ADD
	FLAG_REPROCESSADO INT NULL

ALTER TABLE dbo.RC_CLI_FIDELI_PONTOS_CREDITO ADD CONSTRAINT
	DF_RC_CLI_FIDELI_PONTOS_CREDITO_FLAG_REPROCESSADO DEFAULT 0 FOR FLAG_REPROCESSADO
END